# Martian Marine Corps R-101
### A visual-only mod for the R-101, inspired by the MCRN from the show The Expanse.

<hr>

# Changelog:

## v1.0.1:

- Added ModSettings 2.0.0+ compatibility

# Features:
### - 2 Firing Modes
   - `Ionised Rounds` using mainly blue/sparky FX
   - `Kinetic Rounds` using mainly orange FX; closest to base game R-101
   - Switch between them by pressing `Z`
   - Current mode's indicated by crosshair colour and a UI element
   - Only difference between the 2 is FX and VFX
### - Custom HUD Elements:
   - Crosshair (changing colours based on firing mode, plus with dot shape)
   - Firing mode indicator
   - Weapon flyouts on mode switch (mode name + description)
### - Entirely Holo-Graphic Scope:
   - Replaces the HCOG scope (the one with the chevron sight)
   - Fully transparent when not aiming down sights
### - Custom Name and Description
   - Both in the menu and in-game

<hr>

# Settings:
### - `RELOAD V/FX`
 - Disables or enables additional sounds and particles during reload
### - `ADS UI Fade 50%`
 - Cuts down the mode indicator's opacity by 50% while aiming down sights
### - `Low Ammo Colour Change`
 - Changes crosshair's colour based on number of rounds left in the magazine
### - `Crosshair Rotation`
 - Either no effect or rotates the crosshair by 45 degrees
### - `Crosshair Scale`
 - Scale of the crosshair, recommended values are between 0.85 and 1.1

![image](https://cdn.discordapp.com/attachments/974722927704539166/974724915632676874/unknown.png)
# Note:
Settings in the `S2.MMCR101 | MAIN MENU ONLY` category should *only be changed in the main menu* as tweaking them anywhere else won't have any effect.


<hr>

## Additional:
A matching weapon skin can be found in the Northstar Discord Server in the #skins-collection channel; simply ctrl+F for `MCRN` to find it :)

# Images:
![image](https://cdn.discordapp.com/attachments/974722927704539166/974723462146965535/unknown.png)
![image](https://cdn.discordapp.com/attachments/974722927704539166/974723795136946186/unknown.png)
![image](https://cdn.discordapp.com/attachments/974722927704539166/974723872777703445/unknown.png)
![image](https://cdn.discordapp.com/attachments/974722927704539166/974724243352866906/unknown.png)